import request from '/@/utils/request';

export function emergencyPlanApi(){
    return{
        // 应急预案管理一览
        getEmergencyPlanList: (params: object) => {
            return request({
                url: '/emergencyPlan/page/list',
                method: 'post',
                data:params
            })
        },
        // 应急预案管理新增
        addEmergencyPlan: (params: object) => {
            return request({
                url: `/emergencyPlan/add`,
                method: 'post',
                data: params
            });
        },
        // 应急队伍详情
        seeEmergencyTeam: (params:number) => {
            return request({
                url: `/emergencyPlan/info/${params}`,
                method: 'get'
            });
        },
        // 应急队伍编辑
        editEmergencyTeam: (params: object) => {
            return request({
                url: `/emergencyPlan/update`,
                method: 'post',
                data: params
            });
        },
        // 应急队伍删除
        deleteEmergencyTeam: (params:object) => {
            return request({
                url: `/emergencyPlan/batchDelete/${params}`,
                method: 'get',
            });
        },
    }
}